%global __brp_check_rpaths %{nil}
%global packname  numberofalleles
%global packver   1.0.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.1
Release:          1%{?dist}%{?buildtag}
Summary:          Compute the Probability Distribution of the Number of Alleles in a DNA Mixture

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildRequires:    R-CRAN-Rcpp >= 1.0.7
BuildRequires:    R-CRAN-pedtools 
BuildRequires:    R-CRAN-ribd 
BuildRequires:    R-CRAN-partitions 
BuildRequires:    R-methods 
Requires:         R-CRAN-Rcpp >= 1.0.7
Requires:         R-CRAN-pedtools 
Requires:         R-CRAN-ribd 
Requires:         R-CRAN-partitions 
Requires:         R-methods 

%description
The number of distinct alleles observed in a DNA mixture is informative of
the number of contributors to the mixture. The package provides methods
for computing the probability distribution of the number of distinct
alleles in a mixture for a given set of allele frequencies. The mixture
contributors may be related according to a provided pedigree.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
